@import "bulma/sass/utilities/functions";

$primary: #2760ca;
$border: #f2ebe1;

$code-block: #fae8e8;
$code-block-background: #2e2211;
$code-block-comment: #00e000;
$code-block-keyword: #c00000;

$code-block-shell-commands: #ff8411;

$category: hsl(48, 100%, 67%);
$category-invert: findColorInvert($category);

$custom-colors: (
  "category": (
    $category,
    $category-invert
  )
);

@import url("https://fonts.googleapis.com/css?family=Asap|Libre Franklin");
$family-sans-serif: "Libre Franklin", "Helvetica Neue", helvetica, arial, sans-serif;

@import url("https://use.fontawesome.com/releases/v5.8.1/css/all.css");
@import url("https://cdn.materialdesignicons.com/2.0.46/css/materialdesignicons.min.css");

@import "bulma/bulma";

.update {
  @extend .notification;
}

.hljs {
  display: block;
  overflow-x: auto;
  background: $code-block-background;
  padding: 0.5em;
}

.hljs,
.hljs-subst {
  color: $code-block;
}

.hljs-comment {
  color: $code-block-comment;
}

.hljs-built_in {
  color: $code-block-keyword;
}

.language-shell {
  .bash,
  .bash span {
    color: $code-block-shell-commands;
  }

  .bash .hljs-comment {
    color: $code-block-comment;
  }
}

.block-embed {
  text-align: center;
  iframe {
    width: 640px;
    height: 390px;
  }
}

@import "partial/post-header";

.category {
  @extend .button;
  @extend .is-small;
  @extend .is-category;
}

.post {
  .title {
    margin-bottom: 0.5rem !important;
  }
  .metadata {
    font-size: 0.8em;
  }

  img {
    max-width: 500px;
  }
}

article.entry {
  .title {
    font-size: $size-medium;
    margin-bottom: 0.5rem;
  }

  .metadata {
    font-size: $size-small;
    margin-bottom: 0.5rem;
  }

  .categories {
    padding: 0 0.5rem;
  }
}

.home .recent-post {
  @extend .card;

  .card-header {
    flex-flow: column nowrap;
    padding: 0.5rem;

    .title {
      @extend .has-text-centered;
      font-size: $size-medium;
      margin-bottom: 0.5rem;
    }
    .metadata {
      font-size: $size-small;
    }

    .categories {
      @extend .has-text-centered;
    }
  }
}
